/*===========================================================================*/
/*   (DotNet/dotnet.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent DotNet/dotnet.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzdotnet_dotnetz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_dotnetzd2externalzd2pnetzd2asmzd2zzdotnet_dotnetz00(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
extern obj_t BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
extern obj_t BGl_dotnetzd2compilezd2zzdotnet_compilez00(obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
BGL_IMPORT bool_t directoryp(char *);
static obj_t BGl_cnstzd2initzd2zzdotnet_dotnetz00();
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static obj_t BGl__startzd2dotnetzd2emissionz12z12zzdotnet_dotnetz00(obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_startzd2dotnetzd2emissionz12z12zzdotnet_dotnetz00();
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzdotnet_dotnetz00();
extern obj_t BGl_execz00zzcc_execz00(obj_t, bool_t, obj_t);
extern obj_t BGl_za2dotnetzd2usezd2externalzd2asmza2zd2zzengine_paramz00;
extern obj_t BGl_dotnetzd2aszd2zzdotnet_asz00(obj_t, obj_t);
extern obj_t BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zzdotnet_dotnetz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzdotnet_dotnetz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_execz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_compilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_asz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t close_output_port(obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
static obj_t BGl_emitz00zzdotnet_dotnetz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t);
static obj_t BGl__dotnetz00zzdotnet_dotnetz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_dotnetzd2externalzd2asmz00zzdotnet_dotnetz00(obj_t);
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
static obj_t BGl__dotnetzd2externalzd2pnetzd2asmzd2zzdotnet_dotnetz00(obj_t, obj_t);
extern obj_t BGl_za2destza2z00zzengine_paramz00;
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_output_file(obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_evalzd2initzd2zzdotnet_dotnetz00();
BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
BGL_IMPORT bool_t fexists(char *);
extern obj_t BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00;
static obj_t BGl_requirezd2initializa7ationz75zzdotnet_dotnetz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_dotnetz00();
static obj_t BGl_za2dotnetzd2externalzd2asmsza2z00zzdotnet_dotnetz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_dotnetz00zzdotnet_dotnetz00(obj_t);
static obj_t BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00 = BUNSPEC;
static obj_t __cnst[ 7 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_dotnetzd2envzd2zzdotnet_dotnetz00, BgL_bgl__dotnetza700za7za7dotnet_dotnetza7003799z00, BGl__dotnetz00zzdotnet_dotnetz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_startzd2dotnetzd2emissionz12zd2envzc0zzdotnet_dotnetz00, BgL_bgl__startza7d2dotnetza7d2emissionza712za712za7za7dotnet_dotnetza7003800za7, BGl__startzd2dotnetzd2emissionz12z12zzdotnet_dotnetz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_dotnetzd2externalzd2pnetzd2asmzd2envz00zzdotnet_dotnetz00, BgL_bgl__dotnetza7d2externalza7d2pnetza7d2asmza7d2za7za7dotnet_dotnetza7003801za7, BGl__dotnetzd2externalzd2pnetzd2asmzd2zzdotnet_dotnetz00, 0L, 1 );
DEFINE_STRING( BGl_string3769z00zzdotnet_dotnetz00, BgL_bgl_string3769za700za7za7dotnet_dotnetza7003802z00, "*dotnet-external-asms* il ld (ld distrib) (start-dotnet-emission!) pass-started pnet ", 85 );
DEFINE_STRING( BGl_string3768z00zzdotnet_dotnetz00, BgL_bgl_string3768za700za7za7dotnet_dotnetza7003803z00, "ilasm", 5 );
DEFINE_STRING( BGl_string3767z00zzdotnet_dotnetz00, BgL_bgl_string3767za700za7za7dotnet_dotnetza7003804z00, "      [", 7 );
DEFINE_STRING( BGl_string3766z00zzdotnet_dotnetz00, BgL_bgl_string3766za700za7za7dotnet_dotnetza7003805z00, "   . ilasm (", 12 );
DEFINE_STRING( BGl_string3765z00zzdotnet_dotnetz00, BgL_bgl_string3765za700za7za7dotnet_dotnetza7003806z00, ")", 1 );
DEFINE_STRING( BGl_string3764z00zzdotnet_dotnetz00, BgL_bgl_string3764za700za7za7dotnet_dotnetza7003807z00, "Illegal DotNet asm (bad .NET Bigloo confguration)", 49 );
DEFINE_STRING( BGl_string3763z00zzdotnet_dotnetz00, BgL_bgl_string3763za700za7za7dotnet_dotnetza7003808z00, "ast (dotnet)", 12 );
DEFINE_STRING( BGl_string3762z00zzdotnet_dotnetz00, BgL_bgl_string3762za700za7za7dotnet_dotnetza7003809z00, "asm (dotnet)", 12 );
DEFINE_STRING( BGl_string3761z00zzdotnet_dotnetz00, BgL_bgl_string3761za700za7za7dotnet_dotnetza7003810z00, "Unknown asm style, supported: ", 30 );
DEFINE_STRING( BGl_string3760z00zzdotnet_dotnetz00, BgL_bgl_string3760za700za7za7dotnet_dotnetza7003811z00, " ", 1 );
DEFINE_STRING( BGl_string3759z00zzdotnet_dotnetz00, BgL_bgl_string3759za700za7za7dotnet_dotnetza7003812z00, "      [rm ", 10 );
DEFINE_STRING( BGl_string3758z00zzdotnet_dotnetz00, BgL_bgl_string3758za700za7za7dotnet_dotnetza7003813z00, "Can't write dest file because directory doesn't exist", 53 );
DEFINE_STRING( BGl_string3757z00zzdotnet_dotnetz00, BgL_bgl_string3757za700za7za7dotnet_dotnetza7003814z00, "start-dotnet-emission!", 22 );
DEFINE_STRING( BGl_string3756z00zzdotnet_dotnetz00, BgL_bgl_string3756za700za7za7dotnet_dotnetza7003815z00, "", 0 );
DEFINE_STRING( BGl_string3755z00zzdotnet_dotnetz00, BgL_bgl_string3755za700za7za7dotnet_dotnetza7003816z00, "a.class", 7 );
DEFINE_STRING( BGl_string3754z00zzdotnet_dotnetz00, BgL_bgl_string3754za700za7za7dotnet_dotnetza7003817z00, ".il", 3 );
DEFINE_STRING( BGl_string3753z00zzdotnet_dotnetz00, BgL_bgl_string3753za700za7za7dotnet_dotnetza7003818z00, "      [module: ", 15 );
DEFINE_STRING( BGl_string3752z00zzdotnet_dotnetz00, BgL_bgl_string3752za700za7za7dotnet_dotnetza7003819z00, " qualified type name: ", 22 );
DEFINE_STRING( BGl_string3751z00zzdotnet_dotnetz00, BgL_bgl_string3751za700za7za7dotnet_dotnetza7003820z00, "]", 1 );
DEFINE_STRING( BGl_string3750z00zzdotnet_dotnetz00, BgL_bgl_string3750za700za7za7dotnet_dotnetza7003821z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string3749z00zzdotnet_dotnetz00, BgL_bgl_string3749za700za7za7dotnet_dotnetza7003822z00, "   . ", 5 );
DEFINE_STRING( BGl_string3748z00zzdotnet_dotnetz00, BgL_bgl_string3748za700za7za7dotnet_dotnetza7003823z00, ".Net", 4 );
DEFINE_STRING( BGl_string3747z00zzdotnet_dotnetz00, BgL_bgl_string3747za700za7za7dotnet_dotnetza7003824z00, ".", 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdotnet_dotnetz00(long BgL_checksumz00_1373, char * BgL_fromz00_1374)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzdotnet_dotnetz00))
{ 
BGl_requirezd2initializa7ationz75zzdotnet_dotnetz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzdotnet_dotnetz00(); 
BGl_cnstzd2initzd2zzdotnet_dotnetz00(); 
BGl_importedzd2moduleszd2initz00zzdotnet_dotnetz00(); 
BGl_evalzd2initzd2zzdotnet_dotnetz00(); 
BGl_toplevelzd2initzd2zzdotnet_dotnetz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_dotnetz00()
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 1 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)0), "dotnet_dotnet"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzdotnet_dotnetz00()
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 1 */
{ /* ./DotNet/dotnet.scm 1 */
obj_t BgL_cportz00_1366;
BgL_cportz00_1366 = 
open_input_string(BGl_string3769z00zzdotnet_dotnetz00); 
{ 
long BgL_iz00_1367;
BgL_iz00_1367 = ((long)6); 
BgL_loopz00_1368:
{ /* ./DotNet/dotnet.scm 1 */
bool_t BgL_test3771z00_1369;
BgL_test3771z00_1369 = 
(BgL_iz00_1367==((long)-1)); 
if(BgL_test3771z00_1369)
{ /* ./DotNet/dotnet.scm 1 */
return BUNSPEC;}  else 
{ /* ./DotNet/dotnet.scm 1 */
{ /* ./DotNet/dotnet.scm 1 */
obj_t BgL_arg3773z00_1370;
{ /* ./DotNet/dotnet.scm 1 */
obj_t BgL_list3776z00_1371;
BgL_list3776z00_1371 = 
MAKE_PAIR(BgL_cportz00_1366, BNIL); 
BgL_arg3773z00_1370 = 
BGl_readz00zz__readerz00(BgL_list3776z00_1371); } 
{ /* ./DotNet/dotnet.scm 1 */
int BgL_auxz00_1393;
BgL_auxz00_1393 = 
(int)(BgL_iz00_1367); 
CNST_TABLE_SET(BgL_auxz00_1393, BgL_arg3773z00_1370); } } 
{ /* ./DotNet/dotnet.scm 1 */
int BgL_auxz00_1372;
{ /* ./DotNet/dotnet.scm 1 */
long BgL_auxz00_1396;
BgL_auxz00_1396 = 
(BgL_iz00_1367-((long)1)); 
BgL_auxz00_1372 = 
(int)(BgL_auxz00_1396); } 
{ 
long BgL_iz00_1399;
BgL_iz00_1399 = 
(long)(BgL_auxz00_1372); 
BgL_iz00_1367 = BgL_iz00_1399; 
goto BgL_loopz00_1368;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzdotnet_dotnetz00()
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 1 */
BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00 = BGl_string3747z00zzdotnet_dotnetz00; 
{ /* ./DotNet/dotnet.scm 103 */
obj_t BgL_arg2941z00_741;
{ /* ./DotNet/dotnet.scm 103 */
obj_t BgL_auxz00_1401;
BgL_auxz00_1401 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2941z00_741 = 
MAKE_PAIR(BgL_auxz00_1401, BGl_dotnetzd2externalzd2pnetzd2asmzd2envz00zzdotnet_dotnetz00); } 
{ /* ./DotNet/dotnet.scm 103 */
obj_t BgL_list2943z00_742;
BgL_list2943z00_742 = 
MAKE_PAIR(BgL_arg2941z00_741, BNIL); 
return ( 
BGl_za2dotnetzd2externalzd2asmsza2z00zzdotnet_dotnetz00 = BgL_list2943z00_742, BUNSPEC) ;} } } 
}



/* dotnet */
BGL_EXPORTED_DEF obj_t BGl_dotnetz00zzdotnet_dotnetz00(obj_t BgL_globalsz00_19)
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 29 */
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_list2982z00_754;
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_arg2986z00_756;
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_arg2990z00_758;
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_auxz00_1405;
BgL_auxz00_1405 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2990z00_758 = 
MAKE_PAIR(BgL_auxz00_1405, BNIL); } 
BgL_arg2986z00_756 = 
MAKE_PAIR(BGl_string3748z00zzdotnet_dotnetz00, BgL_arg2990z00_758); } 
BgL_list2982z00_754 = 
MAKE_PAIR(BGl_string3749z00zzdotnet_dotnetz00, BgL_arg2986z00_756); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2982z00_754); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string3748z00zzdotnet_dotnetz00; 
{ 
obj_t BgL_hooksz00_759;obj_t BgL_hnamesz00_760;
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_arg2994z00_762;obj_t BgL_arg2995z00_763;
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_list2998z00_764;
BgL_list2998z00_764 = 
MAKE_PAIR(BGl_startzd2dotnetzd2emissionz12zd2envzc0zzdotnet_dotnetz00, BNIL); 
BgL_arg2994z00_762 = BgL_list2998z00_764; } 
BgL_arg2995z00_763 = 
CNST_TABLE_REF(((long)2)); 
BgL_hooksz00_759 = BgL_arg2994z00_762; 
BgL_hnamesz00_760 = BgL_arg2995z00_763; 
BgL_loopz00_761:
{ /* ./DotNet/dotnet.scm 31 */
bool_t BgL_test3000z00_765;
BgL_test3000z00_765 = 
NULLP(BgL_hooksz00_759); 
if(BgL_test3000z00_765)
{ /* ./DotNet/dotnet.scm 31 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./DotNet/dotnet.scm 31 */
bool_t BgL_test3001z00_766;
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_fun3016z00_772;
BgL_fun3016z00_772 = 
CAR(BgL_hooksz00_759); 
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_auxz00_1419;
BgL_auxz00_1419 = 
PROCEDURE_ENTRY(BgL_fun3016z00_772)(BgL_fun3016z00_772, BEOA); 
BgL_test3001z00_766 = 
CBOOL(BgL_auxz00_1419); } } 
if(BgL_test3001z00_766)
{ /* ./DotNet/dotnet.scm 31 */
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_arg3003z00_767;obj_t BgL_arg3004z00_768;
BgL_arg3003z00_767 = 
CDR(BgL_hooksz00_759); 
BgL_arg3004z00_768 = 
CDR(BgL_hnamesz00_760); 
{ 
obj_t BgL_hnamesz00_1427;obj_t BgL_hooksz00_1426;
BgL_hooksz00_1426 = BgL_arg3003z00_767; 
BgL_hnamesz00_1427 = BgL_arg3004z00_768; 
BgL_hnamesz00_760 = BgL_hnamesz00_1427; 
BgL_hooksz00_759 = BgL_hooksz00_1426; 
goto BgL_loopz00_761;} } }  else 
{ /* ./DotNet/dotnet.scm 31 */
{ /* ./DotNet/dotnet.scm 31 */
obj_t BgL_arg3011z00_771;
BgL_arg3011z00_771 = 
CAR(BgL_hnamesz00_760); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3748z00zzdotnet_dotnetz00, BGl_string3750z00zzdotnet_dotnetz00, BgL_arg3011z00_771); } } } } } } 
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_arg3023z00_776;
BgL_arg3023z00_776 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00); 
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_list3026z00_778;
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_arg3028z00_779;
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_arg3031z00_780;
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_arg3034z00_781;
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_arg3037z00_782;
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_arg3040z00_783;
{ /* ./DotNet/dotnet.scm 32 */
obj_t BgL_auxz00_1431;
BgL_auxz00_1431 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg3040z00_783 = 
MAKE_PAIR(BgL_auxz00_1431, BNIL); } 
BgL_arg3037z00_782 = 
MAKE_PAIR(BGl_string3751z00zzdotnet_dotnetz00, BgL_arg3040z00_783); } 
BgL_arg3034z00_781 = 
MAKE_PAIR(BgL_arg3023z00_776, BgL_arg3037z00_782); } 
BgL_arg3031z00_780 = 
MAKE_PAIR(BGl_string3752z00zzdotnet_dotnetz00, BgL_arg3034z00_781); } 
BgL_arg3028z00_779 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BgL_arg3031z00_780); } 
BgL_list3026z00_778 = 
MAKE_PAIR(BGl_string3753z00zzdotnet_dotnetz00, BgL_arg3028z00_779); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list3026z00_778); } } 
BGl_za2jvmzd2purifyza2zd2zzengine_paramz00 = BTRUE; 
{ /* ./DotNet/dotnet.scm 37 */
bool_t BgL_test3044z00_784;
if(
CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
{ /* ./DotNet/dotnet.scm 37 */
BgL_test3044z00_784 = ((bool_t)0); }  else 
{ /* ./DotNet/dotnet.scm 37 */
obj_t BgL_auxz00_1443;
BgL_auxz00_1443 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)3))); 
BgL_test3044z00_784 = 
CBOOL(BgL_auxz00_1443); } 
if(BgL_test3044z00_784)
{ /* ./DotNet/dotnet.scm 37 */
BGl_za2mainza2z00zzmodule_modulez00 = 
BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00(); }  else 
{ /* ./DotNet/dotnet.scm 37 */BFALSE; } } 
{ /* ./DotNet/dotnet.scm 48 */
obj_t BgL_lza2za2_785;obj_t BgL_bnamez00_786;
BgL_lza2za2_785 = 
BGl_dotnetzd2compilezd2zzdotnet_compilez00(BgL_globalsz00_19); 
{ /* ./DotNet/dotnet.scm 50 */
bool_t BgL_test3056z00_789;
{ /* ./DotNet/dotnet.scm 50 */
obj_t BgL_auxz00_1450;
BgL_auxz00_1450 = 
CNST_TABLE_REF(((long)4)); 
BgL_test3056z00_789 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1450); } 
if(BgL_test3056z00_789)
{ /* ./DotNet/dotnet.scm 50 */
{ /* ./DotNet/dotnet.scm 51 */
bool_t BgL_test3057z00_790;
{ /* ./DotNet/dotnet.scm 51 */
obj_t BgL_objz00_1306;
BgL_objz00_1306 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test3057z00_790 = 
PAIRP(BgL_objz00_1306); } 
if(BgL_test3057z00_790)
{ /* ./DotNet/dotnet.scm 52 */
obj_t BgL_arg3059z00_791;
{ /* ./DotNet/dotnet.scm 52 */
obj_t BgL_arg3062z00_792;
{ /* ./DotNet/dotnet.scm 52 */
obj_t BgL_arg3065z00_793;
{ /* ./DotNet/dotnet.scm 52 */
obj_t BgL_pairz00_1307;
BgL_pairz00_1307 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3065z00_793 = 
CAR(BgL_pairz00_1307); } 
BgL_arg3062z00_792 = 
BGl_basenamez00zz__osz00(BgL_arg3065z00_793); } 
BgL_arg3059z00_791 = 
BGl_prefixz00zz__osz00(BgL_arg3062z00_792); } 
BgL_bnamez00_786 = 
string_append(BgL_arg3059z00_791, BGl_string3754z00zzdotnet_dotnetz00); }  else 
{ /* ./DotNet/dotnet.scm 51 */
BgL_bnamez00_786 = BGl_string3755z00zzdotnet_dotnetz00; } } }  else 
{ /* ./DotNet/dotnet.scm 54 */
bool_t BgL_test3069z00_794;
{ /* ./DotNet/dotnet.scm 54 */
obj_t BgL_objz00_1309;
BgL_objz00_1309 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test3069z00_794 = 
STRINGP(BgL_objz00_1309); } 
if(BgL_test3069z00_794)
{ /* ./DotNet/dotnet.scm 54 */
{ /* ./DotNet/dotnet.scm 59 */
obj_t BgL_arg3071z00_795;
{ /* ./DotNet/dotnet.scm 59 */
obj_t BgL_arg3074z00_796;
BgL_arg3074z00_796 = 
BGl_basenamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
BgL_arg3071z00_795 = 
BGl_prefixz00zz__osz00(BgL_arg3074z00_796); } 
BgL_bnamez00_786 = 
string_append(BgL_arg3071z00_795, BGl_string3754z00zzdotnet_dotnetz00); } }  else 
{ /* ./DotNet/dotnet.scm 54 */
{ /* ./DotNet/dotnet.scm 55 */
bool_t BgL_test3077z00_797;
{ /* ./DotNet/dotnet.scm 55 */
obj_t BgL_objz00_1311;
BgL_objz00_1311 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test3077z00_797 = 
PAIRP(BgL_objz00_1311); } 
if(BgL_test3077z00_797)
{ /* ./DotNet/dotnet.scm 56 */
obj_t BgL_arg3079z00_798;
{ /* ./DotNet/dotnet.scm 56 */
obj_t BgL_arg3082z00_799;
{ /* ./DotNet/dotnet.scm 56 */
obj_t BgL_arg3085z00_800;
{ /* ./DotNet/dotnet.scm 56 */
obj_t BgL_pairz00_1312;
BgL_pairz00_1312 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3085z00_800 = 
CAR(BgL_pairz00_1312); } 
BgL_arg3082z00_799 = 
BGl_basenamez00zz__osz00(BgL_arg3085z00_800); } 
BgL_arg3079z00_798 = 
BGl_prefixz00zz__osz00(BgL_arg3082z00_799); } 
BgL_bnamez00_786 = 
string_append(BgL_arg3079z00_798, BGl_string3754z00zzdotnet_dotnetz00); }  else 
{ /* ./DotNet/dotnet.scm 55 */
BgL_bnamez00_786 = BFALSE; } } } } } 
{ /* ./DotNet/dotnet.scm 62 */
bool_t BgL_test3047z00_787;
{ /* ./DotNet/dotnet.scm 62 */
obj_t BgL_auxz00_1471;
BgL_auxz00_1471 = 
CNST_TABLE_REF(((long)5)); 
BgL_test3047z00_787 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1471); } 
if(BgL_test3047z00_787)
{ /* ./DotNet/dotnet.scm 62 */
return 
BGl_emitz00zzdotnet_dotnetz00(BgL_lza2za2_785, BgL_bnamez00_786);}  else 
{ /* ./DotNet/dotnet.scm 62 */
if(
CBOOL(BGl_za2dotnetzd2usezd2externalzd2asmza2zd2zzengine_paramz00))
{ /* ./DotNet/dotnet.scm 64 */
BGl_emitz00zzdotnet_dotnetz00(BgL_lza2za2_785, BgL_bnamez00_786); 
{ /* ./DotNet/dotnet.scm 66 */
obj_t BgL_arg3051z00_788;
BgL_arg3051z00_788 = 
BGl_makezd2filezd2namez00zz__osz00(BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00, BgL_bnamez00_786); 
return 
BGl_dotnetzd2externalzd2asmz00zzdotnet_dotnetz00(BgL_arg3051z00_788);} }  else 
{ /* ./DotNet/dotnet.scm 64 */
return BUNSPEC;} } } } } 
}



/* emit */
obj_t BGl_emitz00zzdotnet_dotnetz00(obj_t BgL_codeza2za2_801, obj_t BgL_destz00_802)
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 47 */
{ /* ./DotNet/dotnet.scm 41 */
obj_t BgL_dirz00_804;
BgL_dirz00_804 = BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00; 
{ /* ./DotNet/dotnet.scm 42 */
obj_t BgL_portz00_805;
{ /* ./DotNet/dotnet.scm 42 */
bool_t BgL_test3107z00_813;
BgL_test3107z00_813 = 
STRINGP(BgL_destz00_802); 
if(BgL_test3107z00_813)
{ /* ./DotNet/dotnet.scm 44 */
obj_t BgL_arg3109z00_814;
BgL_arg3109z00_814 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_804, BgL_destz00_802); 
BgL_portz00_805 = 
open_output_file(BgL_arg3109z00_814); }  else 
{ /* ./DotNet/dotnet.scm 42 */
BgL_portz00_805 = 
BGL_CURRENT_OUTPUT_PORT(); } } 
{ 
obj_t BgL_l2932z00_806;
BgL_l2932z00_806 = BgL_codeza2za2_801; 
BgL_forzd2each2933zd2_807:
{ /* ./DotNet/dotnet.scm 45 */
bool_t BgL_test3093z00_808;
BgL_test3093z00_808 = 
PAIRP(BgL_l2932z00_806); 
if(BgL_test3093z00_808)
{ /* ./DotNet/dotnet.scm 45 */
{ /* ./DotNet/dotnet.scm 45 */
obj_t BgL_cz00_809;
BgL_cz00_809 = 
CAR(BgL_l2932z00_806); 
BGl_dotnetzd2aszd2zzdotnet_asz00(BgL_cz00_809, BgL_portz00_805); } 
{ /* ./DotNet/dotnet.scm 45 */
obj_t BgL_arg3097z00_810;
BgL_arg3097z00_810 = 
CDR(BgL_l2932z00_806); 
{ 
obj_t BgL_l2932z00_1491;
BgL_l2932z00_1491 = BgL_arg3097z00_810; 
BgL_l2932z00_806 = BgL_l2932z00_1491; 
goto BgL_forzd2each2933zd2_807;} } }  else 
{ /* ./DotNet/dotnet.scm 45 */((bool_t)1); } } } 
{ /* ./DotNet/dotnet.scm 46 */
bool_t BgL_test3101z00_811;
{ /* ./DotNet/dotnet.scm 46 */
obj_t BgL_arg3104z00_812;
BgL_arg3104z00_812 = 
BGL_CURRENT_OUTPUT_PORT(); 
BgL_test3101z00_811 = 
(BgL_portz00_805==BgL_arg3104z00_812); } 
if(BgL_test3101z00_811)
{ /* ./DotNet/dotnet.scm 46 */
return BFALSE;}  else 
{ /* ./DotNet/dotnet.scm 46 */
return 
close_output_port(BgL_portz00_805);} } } } } 
}



/* _dotnet */
obj_t BGl__dotnetz00zzdotnet_dotnetz00(obj_t BgL_envz00_1362, obj_t BgL_globalsz00_1363)
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 29 */
return 
BGl_dotnetz00zzdotnet_dotnetz00(BgL_globalsz00_1363);} 
}



/* start-dotnet-emission! */
obj_t BGl_startzd2dotnetzd2emissionz12z12zzdotnet_dotnetz00()
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 83 */
{ /* ./DotNet/dotnet.scm 85 */
bool_t BgL_test3142z00_831;
{ /* ./DotNet/dotnet.scm 85 */
obj_t BgL_objz00_1320;
BgL_objz00_1320 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test3142z00_831 = 
STRINGP(BgL_objz00_1320); } 
if(BgL_test3142z00_831)
{ /* ./DotNet/dotnet.scm 85 */
{ /* ./DotNet/dotnet.scm 86 */
obj_t BgL_dnamez00_832;
BgL_dnamez00_832 = 
BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
{ /* ./DotNet/dotnet.scm 87 */
bool_t BgL_test3143z00_833;
BgL_test3143z00_833 = 
bigloo_strcmp(BgL_dnamez00_832, BGl_string3756z00zzdotnet_dotnetz00); 
if(BgL_test3143z00_833)
{ /* ./DotNet/dotnet.scm 87 */BFALSE; }  else 
{ /* ./DotNet/dotnet.scm 87 */
BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00 = 
BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00); } } } }  else 
{ /* ./DotNet/dotnet.scm 89 */
bool_t BgL_test3147z00_834;
{ /* ./DotNet/dotnet.scm 89 */
obj_t BgL_auxz00_1503;
BgL_auxz00_1503 = 
CNST_TABLE_REF(((long)4)); 
BgL_test3147z00_834 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1503); } 
if(BgL_test3147z00_834)
{ /* ./DotNet/dotnet.scm 89 */
{ /* ./DotNet/dotnet.scm 90 */
bool_t BgL_test3148z00_835;
{ /* ./DotNet/dotnet.scm 90 */
obj_t BgL_objz00_1323;
BgL_objz00_1323 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test3148z00_835 = 
PAIRP(BgL_objz00_1323); } 
if(BgL_test3148z00_835)
{ /* ./DotNet/dotnet.scm 91 */
obj_t BgL_arg3150z00_836;
{ /* ./DotNet/dotnet.scm 91 */
obj_t BgL_pairz00_1324;
BgL_pairz00_1324 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3150z00_836 = 
CAR(BgL_pairz00_1324); } 
BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00 = 
BGl_dirnamez00zz__osz00(BgL_arg3150z00_836); }  else 
{ /* ./DotNet/dotnet.scm 90 */BFALSE; } } }  else 
{ /* ./DotNet/dotnet.scm 89 */BFALSE; } } } 
{ /* ./DotNet/dotnet.scm 92 */
bool_t BgL_test3156z00_837;
{ /* ./DotNet/dotnet.scm 92 */
bool_t BgL_test3158z00_838;
{ /* ./DotNet/dotnet.scm 92 */
char * BgL_namez00_1325;
BgL_namez00_1325 = 
BSTRING_TO_STRING(BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00); 
BgL_test3158z00_838 = 
fexists(BgL_namez00_1325); } 
if(BgL_test3158z00_838)
{ /* ./DotNet/dotnet.scm 93 */
char * BgL_stringz00_1326;
BgL_stringz00_1326 = 
BSTRING_TO_STRING(BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00); 
BgL_test3156z00_837 = 
directoryp(BgL_stringz00_1326); }  else 
{ /* ./DotNet/dotnet.scm 92 */
BgL_test3156z00_837 = ((bool_t)0); } } 
if(BgL_test3156z00_837)
{ /* ./DotNet/dotnet.scm 92 */
return BTRUE;}  else 
{ /* ./DotNet/dotnet.scm 94 */
obj_t BgL_objectz00_1329;
BgL_objectz00_1329 = BGl_za2dotnetzd2dirzd2nameza2z00zzdotnet_dotnetz00; 
FAILURE(BGl_string3757z00zzdotnet_dotnetz00,BGl_string3758z00zzdotnet_dotnetz00,BgL_objectz00_1329);} } } 
}



/* _start-dotnet-emission! */
obj_t BGl__startzd2dotnetzd2emissionz12z12zzdotnet_dotnetz00(obj_t BgL_envz00_1364)
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 83 */
return 
BGl_startzd2dotnetzd2emissionz12z12zzdotnet_dotnetz00();} 
}



/* dotnet-external-asm */
obj_t BGl_dotnetzd2externalzd2asmz00zzdotnet_dotnetz00(obj_t BgL_namez00_22)
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 108 */
{ /* ./DotNet/dotnet.scm 109 */
obj_t BgL_idz00_839;
BgL_idz00_839 = BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00; 
{ /* ./DotNet/dotnet.scm 109 */
obj_t BgL_cz00_840;
BgL_cz00_840 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_839, BGl_za2dotnetzd2externalzd2asmsza2z00zzdotnet_dotnetz00); 
{ /* ./DotNet/dotnet.scm 110 */

{ /* ./DotNet/dotnet.scm 111 */
bool_t BgL_test3161z00_841;
{ /* ./DotNet/dotnet.scm 111 */
bool_t BgL_test3230z00_875;
BgL_test3230z00_875 = 
PAIRP(BgL_cz00_840); 
if(BgL_test3230z00_875)
{ /* ./DotNet/dotnet.scm 112 */
bool_t BgL_test3231z00_876;
{ /* ./DotNet/dotnet.scm 112 */
obj_t BgL_auxz00_1522;
BgL_auxz00_1522 = 
CDR(BgL_cz00_840); 
BgL_test3231z00_876 = 
PROCEDUREP(BgL_auxz00_1522); } 
if(BgL_test3231z00_876)
{ /* ./DotNet/dotnet.scm 113 */
obj_t BgL_arg3233z00_877;
BgL_arg3233z00_877 = 
CDR(BgL_cz00_840); 
{ /* ./DotNet/dotnet.scm 113 */
int BgL_auxz00_1527;
BgL_auxz00_1527 = 
(int)(((long)1)); 
BgL_test3161z00_841 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg3233z00_877, BgL_auxz00_1527); } }  else 
{ /* ./DotNet/dotnet.scm 112 */
BgL_test3161z00_841 = ((bool_t)0); } }  else 
{ /* ./DotNet/dotnet.scm 111 */
BgL_test3161z00_841 = ((bool_t)0); } } 
if(BgL_test3161z00_841)
{ /* ./DotNet/dotnet.scm 111 */
{ /* ./DotNet/dotnet.scm 115 */
obj_t BgL_fun3164z00_842;
BgL_fun3164z00_842 = 
CDR(BgL_cz00_840); 
PROCEDURE_ENTRY(BgL_fun3164z00_842)(BgL_fun3164z00_842, BgL_namez00_22, BEOA); } 
if(
CBOOL(BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00))
{ /* ./DotNet/dotnet.scm 117 */
obj_t BgL_fz00_843;
{ /* ./DotNet/dotnet.scm 117 */
obj_t BgL_arg3181z00_849;
BgL_arg3181z00_849 = 
BGl_prefixz00zz__osz00(BgL_namez00_22); 
BgL_fz00_843 = 
string_append(BgL_arg3181z00_849, BGl_string3754z00zzdotnet_dotnetz00); } 
{ /* ./DotNet/dotnet.scm 118 */
obj_t BgL_list3167z00_844;
{ /* ./DotNet/dotnet.scm 118 */
obj_t BgL_arg3170z00_846;
{ /* ./DotNet/dotnet.scm 118 */
obj_t BgL_arg3173z00_847;
{ /* ./DotNet/dotnet.scm 118 */
obj_t BgL_arg3176z00_848;
{ /* ./DotNet/dotnet.scm 118 */
obj_t BgL_auxz00_1538;
BgL_auxz00_1538 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg3176z00_848 = 
MAKE_PAIR(BgL_auxz00_1538, BNIL); } 
{ /* ./DotNet/dotnet.scm 118 */
obj_t BgL_auxz00_1541;
BgL_auxz00_1541 = 
BCHAR(((unsigned char)']')); 
BgL_arg3173z00_847 = 
MAKE_PAIR(BgL_auxz00_1541, BgL_arg3176z00_848); } } 
BgL_arg3170z00_846 = 
MAKE_PAIR(BgL_fz00_843, BgL_arg3173z00_847); } 
BgL_list3167z00_844 = 
MAKE_PAIR(BGl_string3759z00zzdotnet_dotnetz00, BgL_arg3170z00_846); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list3167z00_844); } 
{ /* ./DotNet/dotnet.scm 119 */
char * BgL_stringz00_1335;
BgL_stringz00_1335 = 
BSTRING_TO_STRING(BgL_fz00_843); 
{ /* ./DotNet/dotnet.scm 119 */
bool_t BgL_auxz00_1549;
BgL_auxz00_1549 = 
unlink(BgL_stringz00_1335); 
return 
BBOOL(BgL_auxz00_1549);} } }  else 
{ /* ./DotNet/dotnet.scm 116 */
return BFALSE;} }  else 
{ /* ./DotNet/dotnet.scm 120 */
obj_t BgL_arg3188z00_852;
{ /* ./DotNet/dotnet.scm 121 */
obj_t BgL_runner3229z00_874;
{ /* ./DotNet/dotnet.scm 121 */
obj_t BgL_arg3192z00_854;
{ /* ./DotNet/dotnet.scm 123 */
obj_t BgL_l2934z00_856;
BgL_l2934z00_856 = BGl_za2dotnetzd2externalzd2asmsza2z00zzdotnet_dotnetz00; 
{ /* ./DotNet/dotnet.scm 123 */
bool_t BgL_test3196z00_857;
BgL_test3196z00_857 = 
NULLP(BgL_l2934z00_856); 
if(BgL_test3196z00_857)
{ /* ./DotNet/dotnet.scm 123 */
BgL_arg3192z00_854 = BNIL; }  else 
{ /* ./DotNet/dotnet.scm 123 */
obj_t BgL_head2936z00_858;
BgL_head2936z00_858 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2934z00_859;obj_t BgL_tail2937z00_860;
BgL_l2934z00_859 = BgL_l2934z00_856; 
BgL_tail2937z00_860 = BgL_head2936z00_858; 
BgL_map2935z00_861:
{ /* ./DotNet/dotnet.scm 123 */
bool_t BgL_test3198z00_862;
BgL_test3198z00_862 = 
NULLP(BgL_l2934z00_859); 
if(BgL_test3198z00_862)
{ /* ./DotNet/dotnet.scm 123 */
BgL_arg3192z00_854 = 
CDR(BgL_head2936z00_858); }  else 
{ /* ./DotNet/dotnet.scm 124 */
obj_t BgL_newtail2938z00_863;
{ /* ./DotNet/dotnet.scm 124 */
obj_t BgL_arg3206z00_865;
{ /* ./DotNet/dotnet.scm 124 */
obj_t BgL_xz00_867;
BgL_xz00_867 = 
CAR(BgL_l2934z00_859); 
{ /* ./DotNet/dotnet.scm 124 */
bool_t BgL_test3209z00_868;
if(
PAIRP(BgL_xz00_867))
{ /* ./DotNet/dotnet.scm 125 */
obj_t BgL_auxz00_1561;
BgL_auxz00_1561 = 
CAR(BgL_xz00_867); 
BgL_test3209z00_868 = 
SYMBOLP(BgL_auxz00_1561); }  else 
{ /* ./DotNet/dotnet.scm 124 */
BgL_test3209z00_868 = ((bool_t)0); } 
if(BgL_test3209z00_868)
{ /* ./DotNet/dotnet.scm 126 */
obj_t BgL_arg3211z00_869;
{ /* ./DotNet/dotnet.scm 126 */
obj_t BgL_arg3216z00_871;
BgL_arg3216z00_871 = 
CAR(BgL_xz00_867); 
BgL_arg3211z00_869 = 
SYMBOL_TO_STRING(BgL_arg3216z00_871); } 
BgL_arg3206z00_865 = 
string_append(BgL_arg3211z00_869, BGl_string3760z00zzdotnet_dotnetz00); }  else 
{ /* ./DotNet/dotnet.scm 124 */
BgL_arg3206z00_865 = BGl_string3756z00zzdotnet_dotnetz00; } } } 
BgL_newtail2938z00_863 = 
MAKE_PAIR(BgL_arg3206z00_865, BNIL); } 
SET_CDR(BgL_tail2937z00_860, BgL_newtail2938z00_863); 
{ /* ./DotNet/dotnet.scm 123 */
obj_t BgL_arg3202z00_864;
BgL_arg3202z00_864 = 
CDR(BgL_l2934z00_859); 
{ 
obj_t BgL_tail2937z00_1572;obj_t BgL_l2934z00_1571;
BgL_l2934z00_1571 = BgL_arg3202z00_864; 
BgL_tail2937z00_1572 = BgL_newtail2938z00_863; 
BgL_tail2937z00_860 = BgL_tail2937z00_1572; 
BgL_l2934z00_859 = BgL_l2934z00_1571; 
goto BgL_map2935z00_861;} } } } } } } } 
{ /* ./DotNet/dotnet.scm 121 */
obj_t BgL_list3194z00_855;
BgL_list3194z00_855 = 
MAKE_PAIR(BgL_arg3192z00_854, BNIL); 
BgL_runner3229z00_874 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BGl_string3761z00zzdotnet_dotnetz00, BgL_list3194z00_855); } } 
BgL_arg3188z00_852 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_runner3229z00_874); } 
{ /* ./DotNet/dotnet.scm 120 */
obj_t BgL_objectz00_1354;
BgL_objectz00_1354 = BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00; 
FAILURE(BGl_string3762z00zzdotnet_dotnetz00,BgL_arg3188z00_852,BgL_objectz00_1354);} } } } } } } 
}



/* dotnet-external-pnet-asm */
obj_t BGl_dotnetzd2externalzd2pnetzd2asmzd2zzdotnet_dotnetz00(obj_t BgL_namez00_23)
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 135 */
{ /* ./DotNet/dotnet.scm 136 */
bool_t BgL_test3243z00_880;
{ /* ./DotNet/dotnet.scm 136 */
obj_t BgL_string1z00_1355;
BgL_string1z00_1355 = BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00; 
BgL_test3243z00_880 = 
bigloo_strcmp(BgL_string1z00_1355, BGl_string3756z00zzdotnet_dotnetz00); } 
if(BgL_test3243z00_880)
{ /* ./DotNet/dotnet.scm 137 */
obj_t BgL_objectz00_1359;
BgL_objectz00_1359 = BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00; 
FAILURE(BGl_string3763z00zzdotnet_dotnetz00,BGl_string3764z00zzdotnet_dotnetz00,BgL_objectz00_1359);}  else 
{ /* ./DotNet/dotnet.scm 140 */
obj_t BgL_cmdz00_881;
{ /* ./DotNet/dotnet.scm 140 */
obj_t BgL_arg3276z00_894;
BgL_arg3276z00_894 = 
BGl_prefixz00zz__osz00(BgL_namez00_23); 
{ /* ./DotNet/dotnet.scm 140 */
obj_t BgL_list3279z00_896;
{ /* ./DotNet/dotnet.scm 140 */
obj_t BgL_arg3281z00_897;
{ /* ./DotNet/dotnet.scm 140 */
obj_t BgL_arg3284z00_898;
{ /* ./DotNet/dotnet.scm 140 */
obj_t BgL_arg3287z00_899;
BgL_arg3287z00_899 = 
MAKE_PAIR(BGl_string3754z00zzdotnet_dotnetz00, BNIL); 
BgL_arg3284z00_898 = 
MAKE_PAIR(BgL_arg3276z00_894, BgL_arg3287z00_899); } 
BgL_arg3281z00_897 = 
MAKE_PAIR(BGl_string3760z00zzdotnet_dotnetz00, BgL_arg3284z00_898); } 
BgL_list3279z00_896 = 
MAKE_PAIR(BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00, BgL_arg3281z00_897); } 
BgL_cmdz00_881 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3279z00_896); } } 
{ /* ./DotNet/dotnet.scm 143 */
obj_t BgL_list3246z00_882;
{ /* ./DotNet/dotnet.scm 143 */
obj_t BgL_arg3249z00_884;
{ /* ./DotNet/dotnet.scm 143 */
obj_t BgL_arg3252z00_885;
{ /* ./DotNet/dotnet.scm 143 */
obj_t BgL_arg3257z00_887;
{ /* ./DotNet/dotnet.scm 143 */
obj_t BgL_auxz00_1586;
BgL_auxz00_1586 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg3257z00_887 = 
MAKE_PAIR(BgL_auxz00_1586, BNIL); } 
BgL_arg3252z00_885 = 
MAKE_PAIR(BGl_string3765z00zzdotnet_dotnetz00, BgL_arg3257z00_887); } 
BgL_arg3249z00_884 = 
MAKE_PAIR(BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00, BgL_arg3252z00_885); } 
BgL_list3246z00_882 = 
MAKE_PAIR(BGl_string3766z00zzdotnet_dotnetz00, BgL_arg3249z00_884); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list3246z00_882); } 
{ /* ./DotNet/dotnet.scm 144 */
obj_t BgL_list3261z00_888;
{ /* ./DotNet/dotnet.scm 144 */
obj_t BgL_arg3264z00_890;
{ /* ./DotNet/dotnet.scm 144 */
obj_t BgL_arg3267z00_891;
{ /* ./DotNet/dotnet.scm 144 */
obj_t BgL_arg3270z00_892;
{ /* ./DotNet/dotnet.scm 144 */
obj_t BgL_auxz00_1594;
BgL_auxz00_1594 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg3270z00_892 = 
MAKE_PAIR(BgL_auxz00_1594, BNIL); } 
{ /* ./DotNet/dotnet.scm 144 */
obj_t BgL_auxz00_1597;
BgL_auxz00_1597 = 
BCHAR(((unsigned char)']')); 
BgL_arg3267z00_891 = 
MAKE_PAIR(BgL_auxz00_1597, BgL_arg3270z00_892); } } 
BgL_arg3264z00_890 = 
MAKE_PAIR(BgL_cmdz00_881, BgL_arg3267z00_891); } 
BgL_list3261z00_888 = 
MAKE_PAIR(BGl_string3767z00zzdotnet_dotnetz00, BgL_arg3264z00_890); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list3261z00_888); } 
return 
BGl_execz00zzcc_execz00(BgL_cmdz00_881, ((bool_t)1), BGl_string3768z00zzdotnet_dotnetz00);} } } 
}



/* _dotnet-external-pnet-asm */
obj_t BGl__dotnetzd2externalzd2pnetzd2asmzd2zzdotnet_dotnetz00(obj_t BgL_envz00_1360, obj_t BgL_namez00_1361)
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 135 */
return 
BGl_dotnetzd2externalzd2pnetzd2asmzd2zzdotnet_dotnetz00(BgL_namez00_1361);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzdotnet_dotnetz00()
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzdotnet_dotnetz00()
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 1 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)852), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzcc_execz00(((long)23238), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long)39441), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)34740), "dotnet_dotnet"); 
BGl_modulezd2initializa7ationz75zzdotnet_compilez00(((long)51110), "dotnet_dotnet"); 
return 
BGl_modulezd2initializa7ationz75zzdotnet_asz00(((long)3604), "dotnet_dotnet");} 
}



/* eval-init */
obj_t BGl_evalzd2initzd2zzdotnet_dotnetz00()
{ AN_OBJECT;
{ /* ./DotNet/dotnet.scm 1 */
return 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)6)), 
__EVMEANING_ADDRESS(BGl_za2dotnetzd2externalzd2asmsza2z00zzdotnet_dotnetz00));} 
}

